@import url('https://fonts.googleapis.com/css2?family=Chewy&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
@import url('header.css');
@import url('accueil.css');
@import url('footer.css');
@import url('portefolio.css');
@import url('aPropos.css');
@import url('contact.css');
@import url('responsive.css');
@import url('mentions.css');

:root{
    --roboto: "roboto", sans-serif;
    --noir: 0,0,0; 
    --blanc: 255, 255, 255;
    --gris: 239, 236, 236;
    --beige: 242, 239, 202;
    --grisfonce: 51, 51, 51;
}

*{
    margin: 0;
    padding: 0;
}

body{
    width: 100%;
    height: 100%;
}

.titre{
    font-family: var(--roboto);
    font-size: 45px;
    
    color: rgb(var(--noir));
    
    justify-self: center;
    margin: 3%;

    text-shadow: 0 0 20px rgba(var(--noir), 0.45);
}
.titrePortefolio{
    font-family: var(--roboto);
    font-size: 45px;
    
    color: rgb(var(--noir));
    
    align-self: center;
    margin: 3%;
}

.section{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 0;

    width: 100%;
    height: auto;

    padding: 0;

    margin: 0;
}

.image{
    width: 30%;
    height: auto;

    margin: 3%;

    align-self: right;

    transition: ease-in-out 0.3s;

    box-shadow: 0px 0px 10px 5px rgba(0, 0, 0, 0.2);
}

.image:hover{
    transform: scale(1.1);
    border-radius: 25px;
}


.icone{
    margin-top: 5%;
    margin-bottom: 5%;

    width: 30px;
    height: 30px;

    transition: 0.3s ease-in-out;
}

.icone:hover{
    transform: scale(1.1);
}

.texte{
    font-family: var(--roboto);
    font-size: 25px;
}

.texte_email{
    font-family: var(--roboto);
    font-size: 20px;
}